/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.lite;

import java.io.IOException;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.Graphics2D;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletOutputStream;

import org.experlog.base.OpenClient;
import org.experlog.base.ESServlet;
import org.experlog.base.ESServletRequest;

public class RandomImageCtrl extends ESServlet {

  private static final long serialVersionUID = 6082541054889153766L;

  public void getRequest(
    OpenClient session,
    ESServletRequest req,
    HttpServletResponse res)
    throws ServletException, IOException {

    res.setContentType("image/jpeg");

    int width = 100;
    int height = 25;

    BufferedImage img = new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);

    Graphics2D g2d = img.createGraphics();

    java.awt.Font font = new java.awt.Font("arial", 0, 18);
    g2d.setFont(font);

    String random = Integer.toString((int)(Math.random() * 100000));
    try {
      session.getCookie().set("ImageCtrl", random);
    } catch(java.sql.SQLException e) {
      throw new IOException(e.getMessage());
    }
    g2d.drawString(random, 10, 20);

    g2d.dispose();

    ServletOutputStream out = res.getOutputStream();
    ImageIO.write(img, "jpg", out);
    out.flush();
 
  }

  public void postRequest(
    OpenClient session,
    ESServletRequest req,
    HttpServletResponse res)
    throws ServletException, IOException {
    getRequest(session, req, res);
  }

  public String getServletInfo() {
    return "openeas image input control servlet";
  }
}

