/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.openeas.api;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletException;

import org.experlog.base.OpenClient;
import org.experlog.base.ESServletRequest;

import org.experlog.base.ESServlet;

public class Servlet extends ESServlet {
 
  private static final long serialVersionUID = 5320228717232601445L;

  /**
   * Do not override this method (internal use)
   */
  public void getRequest (OpenClient session, ESServletRequest req,
  HttpServletResponse res) throws ServletException, IOException {
    getRequest(new Session(session), new ServletRequest(req), res);
  }
  /**
   * Do not override this method (internal use)
   */
  public void postRequest (OpenClient session, ESServletRequest req,
  HttpServletResponse res) throws ServletException, IOException {
    getRequest(new Session(session), new ServletRequest(req), res);
  }


  public void getRequest (Session session, ServletRequest req,
  HttpServletResponse res) throws ServletException, IOException {
    // default implementation
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
    out.println("<html><body bgcolor=\"#ffffff\">");
    out.println("<h1>Methods getRequest () and postRequest () should be overridden by the programmer</h1>");
    out.println("</body></html>");
  }

  public void postRequest (Session session, ServletRequest req,
  HttpServletResponse res) throws ServletException, IOException {
    getRequest (session, req, res); // default implementation
  }

}

